function res=approxncos(d,x)

% approxncos : calcul de l'approximation du cosinus par son dveloppement de taylor
%
% La fonction approxncos calcule l'approximation de cosinus  l'ordre 2n : 
%
% cos(x)=1 -x^2/2! .... (-1)^n*x^(2n)/(2n)!
%
%
% *********************************************************
% res=approxncos(d,x):
%
%  * variables d'entres :
%     * d : partie principale du dl de cos, dj calcule par la fonction dlncos
%     * x : reel ou tableau ligne
%  * variables de sortie :
%     * res : approximation de cos(x) (ou du tableau)
%
% Si d n'est pas dj calcul, on peut taper approxncos(dlncos(n),x)
% 
% 
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************

% test d'erreur
[r,q]=size(x);
if (r~=1)
   disp('ATTENTION')
   error('le second argument n''est pas un tableau ligne');
end

n=length(d)-1;
auxires=zeros(n+1,q);
auxires(1,:)=ones(1,q);
auxip=ones(1,q);
auxix2=x.^2;
for k=1:n
   auxip=auxix2.*auxip;
   auxires(k+1,:)=auxip;
end   
res=d*auxires;