function res=approxnsin(d,x)

% approxnsin : calcul de l'approximation du sinus par son dveloppement de taylor
%
% La fonction approxnsin calcule l'approximation de sinus  l'ordre 2n+1 : 
%
% sin(x)=x -x^3/3! .... (-1)^n*x^(2n+1)/(2n+1)!
%
%
% *********************************************************
% res=approxnsin(d,x)
%
%  * variables d'entres :
%     * d : partie principale du dl de sin, dj calcule par la fonction dlnsin
%     * x : reel ou tableau ligne
%  * variables de sortie :
%     * res : approximation de sin(x) (ou du tableau)
%
% Si d n'est pas dj calcul, on peut taper approxnsin(dlnsin(n),x)
% 
% 
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************

% test d'erreur
[r,q]=size(x);
if (r~=1)
   disp('ATTENTION')
   error('le second argument n''est pas un tableau ligne');
end

n=length(d)-1;
auxires=zeros(n+1,q);
auxires(1,:)=x;
auxip=x;
auxix2=x.^2;
for k=1:n
   auxip=auxix2.*auxip;
   auxires(k+1,:)=auxip;
end   
res=d*auxires;