function d=dlncos(n);

% dlncos : calcul de la partie principale du dveloppement limit de la fonction cos.
%
% la fonction dlncos calcule les coefficients d'ordre pair de la partie 
% principale du dveloppement limit de la fonction cosinus  l'ordre 2n :
% 
% cos(x)=1 -x^2/2! .... (-1)^n*x^(2n)/(2n)!  
%
% *********************************************************
% d=dlncos(n)	
%
%  * variables d'entres :
%     * entier naturel n
%  * variables de sortie :
%     * d  : tableau de taille n+1 contenant les coefficients 
%            1,-1/2!,....,(-1)^n*/(2n)!
% 
% 
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************

% test d'erreur
if ((fix(n)~=n)|(n<0))
   disp('ATTENTION')
   error('l''argument doit tre un entier naturel');
end

auxifact=1;
d=zeros(1,n+1);
auxisign=1;
d(1)=1;
for k=1:n
   auxisign=-auxisign;
   auxifact=auxifact*(2*k-1)*(2*k);
   d(k+1)=auxisign/auxifact;
end