function d=dlnsin(n);

% dlnsin(n) : calcule de la partie principale du dveloppement limit de la fonction sinus.
%
% la fonction dlnsin calcul les coefficients d'ordre impair de la partie 
% principale du dveloppement limit de la fonction sinus  l'ordre 2n+1 :
% 
% sin(x)=x -x^3/3! .... (-1)^n*x^(2n+1)/(2n+1)!
%
% *********************************************************
% d=dlnsin(n)	
%
%  * variables d'entres :
%     * entier naturel n
%  * variables de sortie :
%     * d  : tableau de taille n+1 contenant les coefficients 
%            1,-1/3!,....,(-1)^n*/(2n+1)!
% 
% 
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************

% test d'erreur
if ((fix(n)~=n)|(n<0))
   disp('ATTENTION')
   error('l''argument doit tre un entier naturel');
end

auxifact=1;
d=zeros(1,n+1);
auxisign=1;
d(1)=1;
for k=1:n
   auxisign=-auxisign;
   auxifact=auxifact*2*k*(2*k+1);
   d(k+1)=auxisign/auxifact;
end