function tracelogerreursincos(epsilon)

% tracelogerreursincos : trac du log de l'erreur pour les approximations sin et cos
%
% La fonction tracelogerreursincos trace le log10 des erreurs
% entre le sinus et le cos exact et leurs approximation sur 
% l'intervalle [0,pi/4]  la prcision epsilon
%
%
% *********************************************************
% tracelogerreursincos(epsilon)
%
%  * variables d'entres :
%     * epsilon : prcision souhaite
%  * Sortie :
%     * le graphe
%
% 
% ************ Fonctions auxiliaires utilises ************
%
%     determinnglob, dlnsin, dlncos, approxnsin, approxncos
%
% *********************************************************

% Attention paramtre  changer : 
% nombre de point du graphique
Ng=5000;
% log10 de zros
log10zero=-20;

n=determinnglob(epsilon);
disp('Indice n choisi :');
disp(n);
ds=dlnsin(n);
dc=dlncos(n);
x=linspace(0,pi/4,Ng);
log10ersin=log10zero*ones(1,Ng);
log10ercos=log10zero*ones(1,Ng);
erreursin=abs(sin(x)-approxnsin(ds,x));
erreurcos=abs(cos(x)-approxncos(dc,x));
indsin=find(erreursin~=0);
indcos=find(erreurcos~=0);
log10ersin(indsin)=log10(erreursin(indsin));
log10ercos(indcos)=log10(erreurcos(indcos));
hold on;
clf;
plot(x,log10ersin,'r',x,log10ercos,'b',[0 pi/4],[log10(epsilon) log10(epsilon)],'g');
legend('sinus','cos','log_{10}(epsilon)',0);
title('Logarithme 10 des erreurs d''approximation du sinus et du cosinus');
hold off;











